Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 24 Feb 2023 06:22:18 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hello, 

I ordered from the App on the 30th of January 2023, for the amount of 598.0 AED the first payment failed the second was successful but the amount was debited twice from my account I already received the order, but the first payment has yet to be returned to me, I contacted my bank they issued a dispute form but asked for additional proof from your side, please check and email me back 

Many thanks, https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5737173